Subject: Re: [PATCH/RFC v2 1/4] Add "core.eolStyle" variable to control end-of-line conversion

From: Finn Arne Gangstad <[email-masked]>
Date: Mon, 10 May 2010 13:14:39 +0200

On Mon, May 10, 2010 at 12:13:58PM +0400, Dmitry Potapov wrote:
> 
> First of autocrlf is safe as it is implemented now.

No, it isn't. autocrlf as it is implemented now is destructive for any
file that contains CRLF in the repo (it also gives dirty files after
checkout and so on).

> I believe that the right solution is to be able to enable autocrlf but
> only for those repositories that are marked as autocrlf compatible by
> upstream.

Yes absolutely. But how do you tell autocrlf that the repository is
compatible with it?  This is what is causing all the problems.

Now, I propose to change autocrlf in such a way that it will work as
before for all repositories that are "compatible with it", but _also_
so that it works reasonably with those that aren't.

- Finn Arne